package org.ow2.util.ee.metadata.war.impl.configurator;

import org.ow2.util.ee.metadata.common.impl.configurator.CommonFieldMetadataConfigurator;
import org.ow2.util.ee.metadata.war.api.IWarClassMetadata;
import org.ow2.util.ee.metadata.war.api.IWarFieldMetadata;
import org.ow2.util.ee.metadata.war.api.IWarMethodMetadata;
import org.ow2.util.ee.metadata.war.impl.WarFieldMetadata;
import org.ow2.util.scan.api.metadata.structures.JField;

/**
 * WarFieldMetadataConfigurator.
 * @author Gael Lalire
 */
public class WarFieldMetadataConfigurator extends
        CommonFieldMetadataConfigurator<IWarClassMetadata, IWarMethodMetadata, IWarFieldMetadata> {

    /**
     * Constructor.
     * @param jField signature
     * @param warClassMetadata parent
     */
    public WarFieldMetadataConfigurator(final JField jField, final IWarClassMetadata warClassMetadata) {
        super(new WarFieldMetadata(jField, warClassMetadata));
        registerAnnotationVisitor();
    }

}
