/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: Filter.java 2999 2008-04-28 16:14:09Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.war.impl.xml;

/**
 * Definition of a filter.
 * @author Florent BENOIT
 */
public class Filter {

    /**
     * Name of this element.
     */
    public static final String NAME = "filter";

    /**
     * Name of the class of this filter.
     */
    private String filterClassName = null;

    /**
     * @return the name of the class.
     */
    public String getFilterClassName() {
        return filterClassName;
    }

    /**
     * Sets the name of the class.
     * @param filterClassName the name of the class.
     */
    public void setFilterClassName(final String filterClassName) {
        this.filterClassName = filterClassName;
    }
}
